/*
 * responsive.custom.css is for custom media queries that are not set via the
 * theme settings, such as cascading media queries.
 *
 * By default all the other responsive stylesheets used in Adaptivetheme use a
 * "stacking method", however cascading media queries use a waterfall method so
 * you can leverage the cascade and inheritance for all browsers that support
 * media queries.
 *
 * @SEE http://zomigi.com/blog/essential-considerations-for-crafting-quality-media-queries/#mq-overlap-stack
 *
 * NOTE: this file loads by default, to disable go to your theme settings and
 * look under the "CSS" settings tab.
 */

/*
 * Really small screens and up
 */
/* @media only screen and (min-width: 220px) {} */

/*
 * Smalltouch sizes and up
 */
/* @media only screen and (min-width: 320px) {} */

/*
 * Smalltouch sizes and down
 */
@media only screen and (max-width: 480px) {
  /* 
   * Float Region Blocks - custom media query CSS example:
   * 
   * Float regions blocks is an Extension you can enable in the appearance
   * settings for your theme. This feature allows you to automatically float
   * blocks in regions, you can switch it on and off depending on your
   * requirements. For design purposes you many want to remove the floats for
   * devices where the entire theme is just one column - for example small
   * mobile phones. The following CSS is inside the custom media query:
   *
   *   @media only screen and (max-width: 480px){}
   *
   * This will target devices with a maximum width of 480px - most small phones.
   * In these smaller screen sizes we can remove the float and widths so all
   * blocks stack instead of displaying horizonally. The selector used is an
   * "attribute selector" which will match on any float block class. Use your
   * inspector or Firebug to get the classes from the page output if you need
   * more granular control over block alignment and stacking.
   */
  .region[class*="float-blocks"] .block {
    float: none;
    width: 100%;
  }
}

/*
 * Tablet sizes and up
 */
/* @media only screen and (min-width: 768px) {} */

/*
 * Desktops/laptops and up
 */
@media only screen and (max-width: 1025px) {
 #footer .ncols {
 font-size: 0.86em;
 }

 .view-header-slideshow .views-row {overflow:hidden;} 
 .view-header-slideshow .views-field img{
 height:292px;
 max-width:none;
 min-width:100%;
 width:inherit;
 }
 
 .view-header-slideshow .s-logo {
 height:82px;
 width:73px;
 margin-top:-73px;
 background-size: 73px 82px;
 }
 
 .region-header {margin-left:220px;}
 .block-superfish ul{ font-size:80%; }
}



/* Responsive frontpage brand info block */
@media only screen and (max-width: 1023px) {
 .node .node-content .ncols{
  max-width:45%;
 }
 
 .node .ncols.ncol3{
  float:left;
 }
 
 .node .ncols.ncol2{
  float:right;
 }
}

@media only screen and (max-width: 787px) {
 .node .node-content .ncols{
  max-width:100%;
  padding:0;
 }
 
 .node .ncols.ncol3,
 .node .ncols.ncol3{
  float:none;
 }
 
  #footer .ncols.ncol2,
  #footer .ncols.ncol3 {
   display:block;
   float:none;
   max-width:100%;
   margin-left:40%;
  }
  
  .azh {float:left; width:100%; margin-top:20px;}
  
  .block-views .view-news .view-content{display:block;}
  .block-views .view-news .views-row{
   max-width:none;
   display:block;
   margin-bottom:20px;
  }
  .block-views .view-news .views-row{ float:none;}
}

@media only screen and (max-width: 580px) {

  #footer .ncols.ncol1{
   position:relative;
   width:100%;
   max-width:none;
   margin:0 auto;
   text-align:center;
   display:block;
  }
  #footer .ncols.ncol2,
  #footer .ncols.ncol3 {
  margin:0;
  }
  
  #leaderboard-wrapper{
   text-align:left;
   }
   
  #leaderboard-wrapper .block-search{
   height:25px;
   display:none;
   margin-bottom:0;
   font-size:150%;
  }
  .block-search #search-block-form{
   .background:url(images/search.png) no-repeat right;
  }
  .block-search input{ width:80%;}
  .block-search .form-submit {float:right;}
  
  #leaderboard-wrapper .block-site-helper { 
   display:none;
   margin-left:0!important;
   border-bottom:1px #fff solid;
   margin-bottom:10px;
   margin-top:10px;
   font-size:150%;
   background-position:right 22px!important;
   }
   .block-site-helper ul {z-index:1;}
  
  #header-wrapper{ background: #b2292e;}
  .region-header {margin-left:0;}
  .region-header select{
   float:none;
   width:100%;
   background: #b2292e url(images/arrow-down.png) no-repeat right;
   color:#fff;
   font-size:150%;
  }
  .block-superfish.block {
   margin-top:0;
   border-bottom:1px #fff solid;
   display:none;
  }
  
  .s-footer {display:none;}
  #leaderboard-wrapper  #block-block-4 {
   display:block;
   width:31px;
   height:15px;
   position:absolute;
   top:10px;
   right:10px;
   background: #b2292e url(images/hamburger.gif) no-repeat -34px -36px;
   cursor:pointer;
  }
  
  #branding {z-index:1;}
  #menu-bar {margin-top:0;}
  
  /*** diff styles ***/
  .node.node-promoted .node-content h3 {margin-top:20px;}
}

@media only screen and (max-width: 364px) {
  .block-views .view-news .views-field-field-preview-picture{
  float:none;
  margin-right:0;
  text-align:center;
  margin-bottom:10px;
  display:block;
  }
  
  .view .views-field-field-preview-picture{
  display:none;
  }
}
